<%@ page language="java" import="java.util.*" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/jspf/common.jspf" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>嘉时软件</title>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
</head>
<script type="text/javascript">
    var path = "${path}";
</script>
<style>
    .indexSelected{
        background-color: #1E2D3B;
        color: #fff!important;
    }
    .modleSelected {
        font-weight: bold;
        font-size: 16px;
    }
    .navbar-custom-menu{
        padding-right:17px;
    }
    .hidden-xs{
        max-width: 200px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
    .row-fluid{
        overflow-y: hidden;
    }
    .sidebar-mini.sidebar-collapse #indexTreeMenu li>a{
        height: 44px;
    }
    .sidebar-mini.sidebar-collapse #indexTreeMenu .pull-right-container{
        margin-top:0;
    }
    .sidebar-mini.sidebar-collapse #indexTreeMenu .modleSelected .pull-right-container{
        margin-top: -6px;
    }
    .home-menu:hover .dropdown-menu {display: block;}
    .sidebar-mini:not(.sidebar-collapse) #indexTreeMenu:hover{
        overflow-y: auto;
        overflow-x: hidden;
    }
    .sidebar-mini:not(.sidebar-collapse) #indexTreeMenu::-webkit-scrollbar{
        display: none;
    }
</style>
<body class="hold-transition skin-blue sidebar-mini" scroll="no">
<input type="hidden" id="userId" value="${CURRENT_USER.userId}">
<input type="hidden" id="webSocketUrl" value="${WEBSOCKET_URLHEAD}">
<input type="hidden" id="strSplit" value="${STR_SPLIT}">
<div class="wrapper">

    <header class="main-header">
        <!--logo-->
        <div class="logo">
            <div class="pull-left info" style="width: 100%">
                <span>嘉时软件</span>
            </div>
        </div>
        <nav class="navbar navbar-static-top">
            <a href="javascript:void(0)" class="sidebar-toggle" data-toggle="push-menu" role="button">
                <span class="sr-only">Toggle navigation</span>
            </a>

            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">
                    <li class="messages-menu">
                        <a href="javascript:void(0)" onclick="noticeManage1(-1)">
                            <span class="label label-warning" id="noticeCount">0</span>
                            <i class="fa fa-envelope-o"  style="font-size: 20px;"></i>
                        </a>
                    </li>
                    <li class="user user-menu">
                        <a href="javascript:void(0)">
                            <img src="${path}/static/bootstrap-3.3.7/dist/img/user2-160x160.jpg" class="user-image" alt="User Image">
                            <c:choose>
                                <c:when test="${CURRENT_USER.powerDepts == '' || CURRENT_USER.powerDepts == null || CURRENT_USER.powerDepts == 'null'}">
                                    <c:choose>
                                        <c:when test="${CURRENT_USER.name != null && CURRENT_USER.name != '' && CURRENT_USER.name != 'null'}">
                                            <span class="hidden-xs" title="${CURRENT_USER.name}">${CURRENT_USER.name}</span>
                                        </c:when>
                                        <c:otherwise>
                                            <span class="hidden-xs" title="${CURRENT_USER.userName}">${CURRENT_USER.userName}</span>
                                        </c:otherwise>
                                    </c:choose>

                                </c:when>
                                <c:otherwise>
                                    <c:choose>
                                        <c:when test="${CURRENT_USER.name != null && CURRENT_USER.name != '' && CURRENT_USER.name != 'null'}">
                                            <span class="hidden-xs" title="${CURRENT_USER.name}(${CURRENT_USER.powerDepts})">${CURRENT_USER.name}(${CURRENT_USER.powerDepts})</span>
                                        </c:when>
                                        <c:otherwise>
                                            <span class="hidden-xs" title="${CURRENT_USER.userName}(${CURRENT_USER.powerDepts})">${CURRENT_USER.userName}(${CURRENT_USER.powerDepts})</span>
                                        </c:otherwise>
                                    </c:choose>

                                </c:otherwise>
                            </c:choose>
                        </a>
                    </li>
                    <li class="home-menu">
                        <a href="${path}/gatewayPage"><i class="fa fa-home" style="font-size: 20px" title="点击返回首页"></i></a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="${path}/gatewayPage">返回主页</a></li>
                            <li class="divider"></li>
                            <li><a href="${path}/logout?token=${token}">退出登录</a></li>
                        </ul>
                    </li>
                </ul>
            </div>

        </nav>
    </header>

    <aside class="main-sidebar">
        <section class="sidebar">
            <!-- 查询菜单列表 -->
            <!--<form action="#" method="get" class="sidebar-form">
              <div class="input-group">
                <input type="text" name="q" class="form-control" placeholder="Search...">
                <span class="input-group-btn">
                      <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
                      </button>
                    </span>
              </div>
            </form>-->
            <!-- 菜单列表-->
            <ul id="indexTreeMenu" class="sidebar-menu" data-widget="tree">
                <%--<li class="header">菜单列表</li>--%>
                <%--<li class="active treeview">
                    <a href="#">
                        <i class="fa fa-dashboard"></i> <span>基本功能</span>
                        <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                    </a>
                    <ul class="treeview-menu">
                        <li class="active"><a href="${path}/paper/allPaper" target="iFrame1"><i class="icon-user"></i>测试管理</a>
                        </li>
                        <li><a href="${path}/index1.jsp"><i class="fa fa-circle-o"></i>用户管理</a></li>
                        <li><a href="${path}/index1.jsp"><i class="fa fa-circle-o"></i>角色管理</a></li>
                        <li><a href="${path}/index1.jsp"><i class="fa fa-circle-o"></i>科室管理</a></li>
                        <li><a href="${path}/index1.jsp"><i class="fa fa-circle-o"></i>归属管理</a></li>
                        >
                    </ul>
                </li>
                <li class="treeview">
                    <a href="#">
                        <i class="fa fa-circle-o"></i> <span>配置管理</span>
                        <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                    </a>
                    <ul class="treeview-menu">
                        <li class="active"><a href="${path}/index1.jsp"><i class="fa fa-circle-o"></i>用户分配菜单</a></li>
                        <li><a href="${path}/index1.jsp"><i class="fa fa-circle-o"></i>角色分配菜单</a></li>
                    </ul>
                </li>
                <li class="treeview">
                    <a href="#">
                        <i class="fa fa-dashboard"></i> <span>维护管理</span>
                        <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                    </a>
                    <ul class="treeview-menu">
                        <li class="active"><a href="${path}/index1.jsp"><i class="fa fa-circle-o"></i>维护管理</a></li>
                        <li><a href="${path}/index1.jsp"><i class="fa fa-circle-o"></i>使用说明</a></li>
                        <li><a href="${path}/index1.jsp"><i class="fa fa-circle-o"></i>联系我们</a></li>
                    </ul>
                </li>--%>
                <!--测试-->
                <%--<li class="treeview menu-open">
                    <a href="#">
                        <i class="fa fa-share"></i> <span>医院名称</span>
                        <span class="pull-right-container">
                            <i class="fa fa-angle-left pull-right"></i>
                        </span>
                    </a>
                    <ul class="treeview-menu" style="display: block;">
                        <li class="treeview">
                            <a href="#"><i class="fa fa-circle-o"></i>基本功能
                                <span class="pull-right-container">
                                            <i class="fa fa-angle-left pull-right"></i>
                                </span>
                            </a>
                            <ul class="treeview-menu">
                                <li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li>
                                <li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li>
                            </ul>
                        </li>
                    </ul>
                    <ul class="treeview-menu" style="display: block;">
                        <li class="treeview">
                            <a href="#"><i class="fa fa-circle-o"></i>基本功能
                                <span class="pull-right-container">
                                            <i class="fa fa-angle-left pull-right"></i>
                                </span>
                            </a>
                            <ul class="treeview-menu">
                                <li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li>
                                <li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li>
                            </ul>
                        </li>
                    </ul>

                </li>
                     <li class="treeview menu-open">
                         <a href="#">
                             <i class="fa fa-share"></i> <span>Multilevel</span>
                             <span class="pull-right-container">
                                 <i class="fa fa-angle-left pull-right"></i>
                             </span>
                         </a>
                         <ul class="treeview-menu" style="display: block;">
                             <li class="treeview menu-open">
                                 <a href="#"><i class="fa fa-circle-o"></i> Level One
                                     <span class="pull-right-container">
                                         <i class="fa fa-angle-left pull-right"></i>
                                     </span>
                                 </a>
                                 <ul class="treeview-menu" style="display: block;">
                                     <li class="treeview">
                                         <a href="#"><i class="fa fa-circle-o"></i> Level Two
                                             <span class="pull-right-container">
                                                 <i class="fa fa-angle-left pull-right"></i>
                                             </span>
                                         </a>
                                         <ul class="treeview-menu">
                                             <li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li>
                                             <li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li>
                                         </ul>
                                     </li>
                                 </ul>
                             </li>
                             <li class="treeview menu-open">
                                 <a href="#"><i class="fa fa-circle-o"></i> Level One
                                     <span class="pull-right-container">
                                         <i class="fa fa-angle-left pull-right"></i>
                                     </span>
                                 </a>
                                 <ul class="treeview-menu" style="display: block;">
                                     <li><a href="#"><i class="fa fa-circle-o"></i> Level Two</a></li>
                                     <li class="treeview">
                                         <a href="#"><i class="fa fa-circle-o"></i> Level Two
                                             <span class="pull-right-container">
                                                 <i class="fa fa-angle-left pull-right"></i>
                                             </span>
                                         </a>
                                         <ul class="treeview-menu">
                                             <li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li>
                                             <li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li>
                                         </ul>
                                     </li>
                                 </ul>
                             </li>
                         </ul>
                     </li>--%>

            </ul>
        </section>
    </aside>

    <div class="content-wrapper">
        <iframe class="row-fluid" style="width:100%;" id="iFrame1" name="iFrame1" scrolling="no" frameborder="0"></iframe>
    </div>
    <!-- 底部版权-->
    <footer class="main-footer">
        <div class="pull-right hidden-xs">
            <b>Version</b> 20201113
        </div>
        <strong>Copyright &copy; 2019-2090 厦门嘉时软件.</strong> All rights
        reserved.
    </footer>
</div>
<%@ include file="/WEB-INF/jspf/webSocket.jspf" %>
<script type="text/javascript" src="${path}/static/js/menu.js?t=2020-09-14_1"></script>
<script type="text/javascript">
    $(document).ready(function () {
        var headerHeight = $(".main-header").height() || 0;
        var footerHeight = ($(".main-footer").height() || 0) + 31;
        var windowHeight = $(window).height();
        $("#iFrame1").css("height", windowHeight - headerHeight - footerHeight);
        $("#indexTreeMenu").css("height",windowHeight - headerHeight - 10);
    })
</script>
</body>
</html>
