<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/WEB-INF/jspf/common.jspf" %>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>用户菜单菜单</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
    <link rel="stylesheet" href="${path}/static/zTree_v3-master/css/zTreeStyle/zTreeStyle.css" type="text/css">
    <script src="${path}/static/zTree_v3-master/js/jquery.ztree.all.js"></script>
    <script src="${path}/static/zTree_v3-master/js/jquery.ztree.exhide.js"></script>
    <script>
        var path = "${path}";
    </script>
    <style type="text/css">
         .widget-header{
            height:26px;
            background-color: #1D9ED7;
         }
        .searcDiv{
            margin-top: 5px;
            height: 30px;
        }
        .form-group{
            margin-bottom: 0!important;
        }
        .form-control{
            margin: 0 auto;
        }
        .treeBtn{
            margin-top:10px;
            padding-left:19%;
        }
        .btn{
            margin-left:8%;
        }
        .ztree{
            border: 0px!important;
            background-color: #fff!important;
            overflow: auto!important;
            font-size: 14rem!important;
            height:75%!important;
            width: 100%!important;
        }
        .zTreeDemo{
            margin-left:10%;
        }
        .buttonDiv{
            width: 10%;
            height: 10%;
            position: fixed;
            right: 3%;
            bottom: 10%;
        }
        .restore{
            width:100px!important;
        }
    </style>
</head>
<body>
    <div>
        <input type="hidden" id="userId" name="userId">
        <input type="hidden" id="sysFlag" name="sysFlag">
        <input type="hidden" id="menus" name="menus">
        <input type="hidden" id="methods">
        <!--节点menuId-->
        <input type="hidden" id="divIndex">
        <div class="row">
            <!--用户树-->
            <div class="col-sm-3">
                <div>
                    <div class="widget-header"></div>
                    <div class="searcDiv">
                        <div class="form-group">
                            <label class="col-sm-9 control-label"><input type="text" class="form-control  input-sm" id="key" maxlength="11" placeholder="工号-姓名"></label>
                            <div class="col-sm-3">
                            <button type="button" class="btn btn-sm btn-primary left"  onclick="reloadTree()">搜索</button>
                            </div>
                        </div>
                    </div>
                    <div class="treeBtn">
                        <button type="button" class="btn btn-primary btn-sm" onclick="expandAll();">全部展开</button>
                        <button type="button" class="btn btn-primary btn-sm" onclick="collapseAll();">全部折叠</button>
                    </div>
                    <div id="zTreeDemo" class="zTreeDemo">
                        <ul id="ztree" class="ztree"></ul>
                    </div>
                </div>
            </div>
            <!--菜单树-->
            <div class="col-sm-3">
                <div class="">
                    <div class="widget-header"></div>
                    <div class="searcDiv">
                        <input type="text" id="key1" value="" class="form-control input-sm"
                        placeholder="菜单名称" maxlength="16" style="width:80%"/>
                    </div>
                    <div class="treeBtn">
                        <button type="button" class="btn btn-primary btn-sm" onclick="expandAll1();">全部展开</button>
                        <button type="button" class="btn btn-primary btn-sm" onclick="collapseAll1();">全部折叠</button>
                    </div>
                    <div  class="zTreeDemo">
                        <ul id="ztree1" class="ztree"></ul>
                    </div>
                </div>
            </div>
            <!--方法区-->
            <div class="col-sm-6">
                <div class="">
                    <div class="widget-header"></div>
                    <div class="widget-body">
                        <div class="widget-main">
                            <div id="block"></div>
                        </div>
                        <div class="buttonDiv">
                        <pm:myPermissions permissions="/menuPower/addUserMenu">
                            <button type="button"  class="btn btn-primary btn-sm restore"  onclick="addUserMenu()">保存</button>
                        </pm:myPermissions>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div><!-- /.main-container -->
    <script src="${path}/static/js/menu/userPowerList.js"></script>
    <script src="${path}/static/js/menu/userAndRoleComment.js"></script>
    <script src="${path}/static/js/menu/fuzzysearch.js"></script>
    <%@ include file="/WEB-INF/jspf/loading.jspf" %>
</body>
</html>
